package org.tio.sitexxx.service.service.jpush.honor.messaging;

/**
 * <pre>
 *    @author : vagrancy
 *    e-mail : 18050829067@163.com
 *    time   : 2025-02-21 10:25
 *    desc   :
 * </pre>
 */
public abstract class HonorService<T> {
    private String id;
    protected T instance;

    protected HonorService(String id, T instance) {
        this.id = id;
        this.instance = instance;
    }

    public String getId() {
        return id;
    }

    public T getInstance() {
        return instance;
    }

    public abstract void destroy();
}

